import { LocationPickerConfigsModel } from "../models/location-picker-configs.model";
import { GoogleLocationApiService } from "@justbe-angular/jb-google-location-api";
import { Observable } from "rxjs";
import { Platform, App } from "ionic-angular";
import { Geolocation } from '@ionic-native/geolocation';
export declare class LocationPickerService {
    private jbGoogleApi;
    private plt;
    private googleLocationApiService;
    private geolocation;
    private app;
    constructor(jbGoogleApi: GoogleLocationApiService, plt: Platform, googleLocationApiService: GoogleLocationApiService, geolocation: Geolocation, app: App);
    configs: any;
    setConfigurations(obj: LocationPickerConfigsModel): void;
    getMyLocation(): Observable<any>;
    private setNearbyLocations(outputObj, observer);
    openLocationPicker(): void;
}
